<?php

namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\Company;

class DeleteItemModal extends Component
{
    public $showModal = false;
    public $deleteId;

    protected $listeners = ['showDeleteItemModal'];

    public function showDeleteItemModal($deleteId)
    {
        $this->deleteId = $deleteId;
        $this->showModal = true;
    }

    public function closeModal()
    {
        $this->showModal = false;
    }

    public function render()
    {
        return view('livewire.delete-item-modal',['deleteId' => $this->deleteId]);
    }

}
